import request from '@/utils/request'



// 开始/继续
export function startNextProductPlanDetail(query) {
  return request({
    url: '/mes/api/startNextProductPlanDetail',
    method: 'post',
    data: query
  })
}

// 获取信息
export function getNewestProductPlanDetail(query) {
  return request({
    url: '/mes/api/getNewestProductPlanDetail/',
    method: 'get',
    params: query
  })
}

// 完成
export function completeProductPlanDetail(query) {
  return request({
    url: '/mes/api/completeProductPlanDetail',
    method: 'post',
    data: query
  })
}
// 获取图纸
export function getPlanDrawings(query) {
  return request({
    url: '/mes/api/getProductPlanDrawings',
    method: 'get',
    params: query
  })
}

export function applyRawOutstock(query) {
  return request({
    url: '/wms/api/applyRawOutstock',
    method: 'post',
    data: query
  })
}


export function getStockTotal(query) {
  return request({
    url: '/wms/api/getStockTotal',
    method: 'get',
    params: query
  })
}

export function getWarehouses(query) {
  return request({
    url: '/wms/api/getWarehouses',
    method: 'get',
    params: query
  })
}
